package com.gingersoft.gsa.cloud.pay.pos.hywebpos.imp;

import android.app.Activity;
import android.content.Context;

import com.gingersoft.gsa.cloud.pay.pos.IPosAction;
import com.gingersoft.gsa.cloud.pay.pos.PosAction;
import com.gingersoft.gsa.cloud.pay.pos.hywebpos.bean.response.pos.HywebPosResponse;
import com.jess.arms.mvp.IView;

import javax.inject.Inject;

import me.jessyan.rxerrorhandler.core.RxErrorHandler;

/**
 * @作者: bin
 * @創建時間: 2020-12-26 10:38
 * @更新時間: 2020-12-26 10:38
 * @描述:
 */
public class PrintActionImpl extends IPosAction {

    @Inject
    RxErrorHandler mErrorHandler;

    public PrintActionImpl(Context context, IView iView, PosAction action, boolean showLoading) {
        super(context,iView,action,showLoading);
    }

    @Override
    protected void onRequestBefore() {
    }

    @Override
    public void onRequestPOS(String requestJson) {
        super.onRequestPOS(requestJson);
    }

    @Override
    public void onActionComplte(Context context,HywebPosResponse result, Activity originalActivity) {

    }

    @Override
    public void onActionError(Exception error) {

    }
}
